### Method

# Gdk Surfacecreate_cairo_context

#### Declaration [src]

    GdkCairoContext*
    gdk_surface_create_cairo_context (
      GdkSurface* surface
    )

#### Description [src]

Creates a new `GdkCairoContext` for rendering on `surface`.

#### Return value

Type: `GdkCairoContext`

The newly created `GdkCairoContext`

The caller of the method takes ownership of the data, and is responsible for freeing it.